<?php
/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */
/**
 * This is the wysiwyg editor class, PHPDevShell uses TinyMCE as we found it well tested, if you choose to use your own wysiwyg editor, simply replace this class file
 * with your own class and settings to your wysiwyg editor. You may visit the TinyMCE website to find usage of how you could add more functionality to TinyMCE.
 * @deprecated
 */
class jquery
{
	/**
	 * Load the jquery UI.
	 * To generate your own theme use http://jqueryui.com/themeroller/ and place theme in appropriate template location.
	 *
	 * @link http://jqueryui.com jquery.
	 * @var boolean
	 */
	public $load_ui = true;
	/**
	 * Load the template for the jquery UI.
	 *
	 * @link http://jqueryui.com jquery.
	 * @var string
	 */
	public $template = 'theme';
	/**
	 * Load lightbox effects using fancybox.
	 * For fancybox effects, check out http://fancy.klade.lv/home
	 *
	 * @link http://fancy.klade.lv/home
	 * @var boolean
	 */
	public $lightbox = true;

	/**
	 * This method loads the appropriate jquery classes, see http://jqueryui.com for examples.
	 *
	 * @link http://jqueryui.com
	 * @return string
	 */
	public function jquery_load ()
	{
		global $core;
		// Write template.
		if ($this->template == 'smoothness' && $this->load_ui == true) {
			$jquery_ui_template = "templates/cloud/jquery/theme/jquery-ui.css";
		} else if ($this->load_ui == true) {
			$jquery_ui_template = "templates/{$core->active_template()}/jquery/{$this->template}/jquery-ui.css";
		}
		// Load fancybox.
		if ($this->lightbox == true) {
			// Load CSS for fancybox.
			$active_fancybox = "templates/{$core->active_template()}/jquery/jquery.fancybox/jquery.fancybox.css";
			if (file_exists($active_fancybox)) {
				$jquery_fancybox_template = $active_fancybox;
			} else {
				$jquery_fancybox_template = "templates/cloud/jquery/jquery.fancybox/jquery.fancybox.css";
			}
			// Write Jquery fancybox.
			$LIGHTBOX = <<<LIGHTBOX
        		<link rel="stylesheet" type="text/css" href="$jquery_fancybox_template" media="screen"/>
				<script type="text/javascript" src="includes/jquery/jquery.easing.js"></script>
				<script type="text/javascript" src="includes/jquery/jquery.fancybox.js"></script>
LIGHTBOX;
		} else {
			$LIGHTBOX = false;
		}
		// Set UI interface.
		if ($this->load_ui == true) {
			$UI = <<<UI
        		<link type="text/css" href="$jquery_ui_template" rel="stylesheet" />
				<script type="text/javascript" src="includes/jquery/jquery-ui.js"></script>
UI;
		} else {
			$UI = false;
		}
		// Create HTML.
		$JHTML = <<<JHTML
		    <script type="text/javascript" src="includes/jquery/jquery.js"></script>
			$UI
			$LIGHTBOX
JHTML;
		// Output jquery.
		return $JHTML;
	}
}
?>